%define	name	sysctlconfig
%define	version	0.8

Summary: A configuration tool for operating system tunable parameters
Name:		%{name}
Version:	%{version}
release: 1 
Source: %{name}-%{version}.tar.gz
Group: Applications/System
URL: http://www.redhat.de/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
BuildPrereq: rhclib >= 0.18 gtk+-devel libxml-devel
Requires: procps usermode

%description
sysctl-config is a tool for configuring operating system tunable parameters.
It eases modifying /etc/sysctl.conf.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build

%configure
make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mv $RPM_BUILD_ROOT/%{_bindir}/sysctlconfig-gtk $RPM_BUILD_ROOT/%{_sbindir}/sysctlconfig-gtk
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/sysctlconfig-gtk

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/sysctlconfig-gtk <<EOF
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_stack.so service=system-auth
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/sysctlconfig-gtk <<EOF
USER=root
FALLBACK=true
PROGRAM=%{_sbindir}/sysctlconfig-gtk
SESSION=true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
# %{_bindir}/sysctlconfig
%{_bindir}/sysctlconfig-gtk
%{_sbindir}/sysctlconfig-gtk
%{_datadir}/sysctlconfig/procentry.xml
%{_datadir}/icons/sysctlconfig-gtk.xpm
%{_sysconfdir}/X11/applnk/System/sysctlconfig.desktop
%config %{_sysconfdir}/pam.d/sysctlconfig-gtk
%config %{_sysconfdir}/security/console.apps/sysctlconfig-gtk

%changelog
* Tue Oct 10 2000 Harald Hoyer <harald@redhat.com>
- fixed apply and save procedures

* Wed Sep 06 2000 Harald Hoyer <harald@redhat.com>
- changed bdflush ranges

* Fri Aug 04 2000 Harald Hoyer <harald@redhat.com>
- added tcp_syncookies

* Sun Jul 16 2000 Harald Hoyer <harald@redhat.com>
- removed iopl check
- corrected symlink
- depends on usermode now

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- adjust to new API

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- add %%defattr

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- ExclusiveArch: i386 i486 i586 i686
- ExcludeArch: ia64 sparc alpha

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- removed -Werror
- updated for rhclib-18

* Thu Jun 15 2000 Harald Hoyer <harald@redhat.com>
- first real version

* Fri Jun 09 2000 Harald Hoyer <harald@redhat.com>
- initial version
